## Apache Zeta Components Manual :: Docs For Class ezcMvcRoutingInformation

### MvcTools::ezcMvcRoutingInformation

### Class ezcMvcRoutingInformation

This struct contains information from the router that belongs to the matched route.

Source for this file: /MvcTools/src/structs/routing_information.php

    ezcBaseStruct
       |
       --ezcMvcRoutingInformation

Version: | //autogentag//

### Member Variables

public string | `$action` Contains the action that the controller should run.
public string | `$controllerClass` Contains the class name of the controller that should be instantiated for this route.
public string | `$matchedRoute` Contains the pattern of the matched route, to be used for view matching and filter chain selection.
public ezcMvcRouter | `$router` Contains a backlink to the router, so that the dispatcher can pass this on to the created controllers.

### Method Summary

public static ezcMvcRoutingInformation | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRoutingInformation | `__construct( [ $matchedRoute = ''] , [ $controllerClass = ''] , [ $action = ''] , [ $router = null] )` Constructs a new ezcMvcRoutingInformation.

### Methods

#### __set_state

static ezcMvcRoutingInformation __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRoutingInformation __construct( [string $matchedRoute = ''] , [string $controllerClass = ''] , [string $action = ''] , [ezcMvcRouter $router = null] )

Constructs a new ezcMvcRoutingInformation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$matchedRoute` | string |
`$controllerClass` | string |
`$action` | string |
`$router` | ezcMvcRouter |

Documentation generated by phpDocumentor 1.4.3